Skip to navigation

Check status of task to merge documents

View as Markdown

The ID is returned by the documentmergetasks POST method.

Developing with the CLM API is only available for CLM customers with a production account. To purchase a plan to gain access to the CLM API, contact Docusign Sales.

Authentication

AuthorizationBearer

Docusign OAuth 2.0 access token, sent as Authorization: Bearer <token>.

Path parameters

taskidstringRequiredformat: "uuid"
ID of DocumentMergeTask.
accountIdstringRequiredformat: "uuid"
The ID of the Docusign account.

Response

OK
DocumentsToMergelist of objectsOptional
Documents to merge
DeleteOriginalsbooleanOptional
Option to delete original documents after successful merge
MessagestringOptional

Additional explanation of the status (if any)

DownloadUrlstringOptional
The URI where the document can be downloaded, if no destination folder is provided
DestinationDocumentNamestringOptional
If the result of the asynchronous task is to be saved in a SpringCM permanent storage, this is the name of the new document
StatusstringOptional
Current status of the asynchronous task
HrefstringOptional
Uri where the object can be retrieved.
ResultDocumentobjectOptional
The document that is created as a result of this task
DestinationFolderobjectOptional
If the result of the asynchronous task is to be saved in a SpringCM permanent storage, this is the folder where the new document should be placed